# -*- rpm-spec -*-
# $Id: libbluez,v 1.14 2005/03/17 07:30:22 grigory Exp $

%define source_name bluez-libs

Name: libbluez
Version: 2.15
Release: alt2

Group: System/Libraries
Summary: Bluetooth runtime libraries
License: LGPL
Url: http://bluez.sourceforge.net/

Source: %source_name-%version.tar.gz

%def_disable static

Provides: libsdp.so.2

%package devel
Summary: Bluetooth development libraries
Group: Development/C
Requires: %name = %version-%release

%package devel-static
Summary: Bluetooth static libraries
Group: Development/C
Requires: %name-devel = %version-%release

%description
This package contains Bluetooth communication runtime libraries for Linux.

%description devel
This package contains Bluetooth communication development files for Linux.

%description devel-static
This package contains Bluetooth communication static libraries for Linux.

%prep
%setup -q -n %source_name-%version

%build
%{?_disable_static:export lt_cv_prog_cc_static_works=no}
%{?_enable_static:export lt_cv_prog_cc_static_works=yes}
%configure %{subst_enable static}
%make_build

%install
%__mkdir_p %buildroot%_includedir/bluetooth
%makeinstall
%__mv %buildroot%_includedir/*.h %buildroot%_includedir/bluetooth/
# %__ln_s libbluetooth.so.1 %buildroot%_libdir/libsdp.so.2
# %__ln_s libbluetooth.so %buildroot%_libdir/libsdp.so
# %if_enabled static
# %__ln_s libbluetooth.a %buildroot%_libdir/libsdp.a
# %endif

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%doc AUTHORS ChangeLog README
%_libdir/*.so.*

%files devel
%_libdir/pkgconfig/*
%_includedir/*
%_libdir/*.so

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Thu Mar 17 2005 Grigory Milev <week@altlinux.ru> 2.15-alt2
- remove orphaned libsdp

* Mon Mar 14 2005 Grigory Milev <week@altlinux.ru> 2.15-alt1
- new version released

* Tue Jan 11 2005 Grigory Milev <week@altlinux.ru> 2.13-alt1
- new version released

* Sat Sep 25 2004 Dmitry V. Levin <ldv@altlinux.org> 2.10-alt2
- Moved static library to separate subpackage.
- Do not build static library by default.
- Added pkgconfig file.
- Fixed package tags.
- Fixed libsdp.so.2 problem.

* Thu Sep 23 2004 Grigory Milev <week@altlinux.ru> 2.10-alt1
- new version released

* Mon Jun 21 2004 Grigory Milev <week@altlinux.ru> 2.7-alt1
- new version released

* Tue Feb 24 2004 Grigory Milev <week@altlinux.ru> 2.5-alt1
- new version released

* Fri Dec 12 2003 Grigory Milev <week@altlinux.ru> 2.4-alt2
- remove *.la files due policy

* Tue Oct 14 2003 Grigory Milev <week@altlinux.ru> 2.4-alt1
- new version released

* Tue Feb 18 2003 Grigory Milev <week@altlinux.ru> 2.3-alt1
- new version released

* Fri Dec 20 2002 Grigory Milev <week@altlinux.ru> 2.2-alt1
- Initial build.



